org.apache.ode.daohib.bpel

## Class ProcessManagementDaoImpl

- java.lang.Object
- - org.apache.ode.daohib.bpel.HibernateDao
  - - org.apache.ode.daohib.bpel.ProcessManagementDaoImpl

- All Implemented Interfaces:
    ProcessManagementDAO

      public class ProcessManagementDaoImpl
      extends HibernateDao
      implements ProcessManagementDAO

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.dao.ProcessManagementDAO

      `ProcessManagementDAO.FailedSummaryValue, ProcessManagementDAO.InstanceSummaryKey`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.daohib.bpel.HibernateDao

      `_hobj, _sm`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProcessManagementDaoImpl(SessionManager sessionManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<ProcessManagementDAO.InstanceSummaryKey,java.lang.Long>` | `countInstancesSummary(java.util.Set<java.lang.String> pids)`
    `java.util.Map<java.lang.String,ProcessManagementDAO.FailedSummaryValue>` | `findFailedCountAndLastFailedDateForProcessIds(java.util.Set<java.lang.String> pids)`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.HibernateDao

      `deleteByColumn, deleteByIds, equals, getDHandle, getHibernateObj, getId, getSession, hashCode, update`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessManagementDaoImpl

          protected ProcessManagementDaoImpl(SessionManager sessionManager)

  - ### Method Detail

    - #### countInstancesSummary

          public java.util.Map<ProcessManagementDAO.InstanceSummaryKey,java.lang.Long> countInstancesSummary(java.util.Set<java.lang.String> pids)

      Specified by:
        `countInstancesSummary` in interface `ProcessManagementDAO`

    - #### findFailedCountAndLastFailedDateForProcessIds

          public java.util.Map<java.lang.String,ProcessManagementDAO.FailedSummaryValue> findFailedCountAndLastFailedDateForProcessIds(java.util.Set<java.lang.String> pids)

      Specified by:
        `findFailedCountAndLastFailedDateForProcessIds` in interface `ProcessManagementDAO`